> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List discount codes

> List discount codes in the workspace.

<Info>Replace `{your-subdomain}` with your workspace’s subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/discount-codes.yaml GET /discount-codes
openapi: 3.0.3
info:
  title: NeetoCal Discount Codes APIs
  version: 2.0.0
servers:
  - description: NeetoCal APIs
    url: https://{your-subdomain}.neetocal.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Discount codes
    description: APIs to manage discount codes for bookings.
paths:
  /discount-codes:
    get:
      tags:
        - Discount codes
      summary: List discount codes
      description: List discount codes in the workspace.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: query
          name: page
          description: Page number for paginated results.
          required: false
          schema:
            type: integer
        - in: query
          name: page_size
          description: Number of results per page.
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  discount_codes:
                    type: array
                    items:
                      $ref: '#/components/schemas/discount_code_list_item'
                  pagination:
                    $ref: '#/components/schemas/pagination'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
  schemas:
    discount_code_list_item:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the discount code.
          example: 8f3b9f6e-2e3a-4c7a-91c5-7f9b2a123456
        code:
          type: string
          description: The unique discount code.
          example: OFF10
        value:
          type: integer
          description: Value of the discount.
          example: 10
        expires_at:
          type: string
          format: date-time
          nullable: true
          description: Expiration date and time of the discount code in ISO 8601 format.
          example: '2026-06-30T23:59:59.000Z'
        kind:
          type: string
          description: Type of the discount (fixed or percentage).
          enum:
            - fixed
            - percentage
        redeems_limit:
          type: integer
          nullable: true
          description: Number of times the discount code can be redeemed.
          example: 100
        redeems_limit_by_email:
          type: integer
          nullable: true
          description: Number of times the discount code can be redeemed per email.
          example: 1
        days_valid_after_first_use_per_client:
          type: integer
          nullable: true
          description: >-
            Number of days the discount code is valid for a client after their
            first use. If null, the discount code can be used indefinitely.
          example: 30
        redeems_count:
          type: integer
          description: Number of times this discount code has been redeemed.
          example: 12
        meetings:
          type: array
          description: Array of meetings where the discount code can be used.
          items:
            type: object
            properties:
              id:
                type: string
                description: Meeting ID.
                example: 3d4e5f6a-7b8c-4d9e-90f1-123456789abc
              name:
                type: string
                description: Meeting name.
                example: Product Demo
    pagination:
      type: object
      properties:
        total_records:
          type: integer
          description: Total number of records.
        total_pages:
          type: integer
          description: Total number of pages available.
        current_page_number:
          type: integer
          description: Current page number.
        page_size:
          type: integer
          description: Number of records per page.

````